=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (26.0-0ubuntu1) lunar; urgency=medium

  * Initial release. (LP: #2003160)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 17 Jan 2023 16:55:17 -0800
