## gnome-shell-extension-alphabetical-grid 27.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 .PHONY: build package check release translations gtk4 compress install uninstall clean $(PNG_FILES)
 
 build: clean
-	glib-compile-schemas extension/schemas
+	glib-compile-schemas --strict extension/schemas
 	$(MAKE) package
 package:
 	cd "extension"; \
