=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release 27.0
  * Update d/copyright for new Occitan translation

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 30 Jan 2023 12:23:59 -0800
