=== debian/control ===
Source: gnome-shell-extension-alphabetical-grid
Section: gnome
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libglib2.0-dev,
 libgtk-4-bin,
 optipng,
 gnome-shell,
 unzip
Standards-Version: 4.6.1
Homepage: https://github.com/stuarthayhurst/alphabetical-grid-extension

Package: gnome-shell-extension-alphabetical-grid
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 gnome-shell (>= 42),
 gnome-shell (<< 44~)
Description: Alphabetical App Grid GNOME Extension
 Restores the alphabetical ordering of the app grid in the
 GNOME Applications overview.
