=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	glib-compile-schemas --strict extension/schemas; \
	make gtk4; \
	cd "extension"; \
	gnome-extensions pack --force --podir=po --extra-source=../LICENSE.txt --extra-source=../docs/CHANGELOG.md --extra-source=../docs/icon.svg --extra-source=credits.json --extra-source=ui --extra-source=lib; \
	mv "AlphabeticalAppGrid@stuarthayhurst.shell-extension.zip" ../

override_dh_auto_install:
	mkdir -p AlphabeticalAppGrid@stuarthayhurst; \
	cd AlphabeticalAppGrid@stuarthayhurst; \
	unzip ../AlphabeticalAppGrid@stuarthayhurst.shell-extension.zip
