=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (31.0-0ubuntu1) mantic; urgency=medium

  * New upstream release 31.0
  * Remove obsolete patch for GNOME 44
  * d/control: Add build-dep libgtk-3-bin
  * d/rules: accommodate new 'make check' for dh_auto_test

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 21 Jul 2023 12:47:19 -0700

gnome-shell-extension-alphabetical-grid (27.0-0ubuntu2) lunar; urgency=medium

  * Patch to allow for compatibility with GNOME 44 (LP: #2008243)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 23 Feb 2023 07:31:57 -0800
