=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libglib2.0-dev,
+ libgtk-3-bin,
  libgtk-4-bin,
  optipng,
  gnome-shell,
@@ -19,7 +20,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  gnome-shell (>= 42),
- gnome-shell (<< 44~)
+ gnome-shell (<< 45~)
 Description: Alphabetical App Grid GNOME Extension
  Restores the alphabetical ordering of the app grid in the
  GNOME Applications overview.
