## gnome-shell-extension-alphabetical-grid 32.0

=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (32.0-0ubuntu1) mantic; urgency=medium

  * New upstream release 32.0

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 15 Aug 2023 16:44:11 -0700
