=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (33.0-0ubuntu1) mantic; urgency=medium

  * New upstream release 33.0
  * d/control: bump GNOME compatibility

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 19 Aug 2023 14:05:56 -0700
