=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- gnome-shell (>= 42),
- gnome-shell (<< 45~)
+ gnome-shell (>= 43),
+ gnome-shell (<< 46~)
 Description: Alphabetical App Grid GNOME Extension
  Restores the alphabetical ordering of the app grid in the
  GNOME Applications overview.
