## gnome-shell-extension-alphabetical-grid 34.0

=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (34.0-0ubuntu1) mantic; urgency=medium

  * New upstream release 34.0
  * d/rules: update for libadwaita compatibility

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 22 Aug 2023 11:22:15 -0700

gnome-shell-extension-alphabetical-grid (33.0-0ubuntu2) mantic; urgency=medium

  * Fix lower limit of gnome-shell copatibility

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 20 Aug 2023 08:53:04 -0700
