=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	glib-compile-schemas --strict extension/schemas; \
	cd "extension"; \
	gnome-extensions pack --force --podir=po --extra-source=../LICENSE.txt --extra-source=../docs/CHANGELOG.md --extra-source=lib; \
	mkdir ../build; \
	mv "AlphabeticalAppGrid@stuarthayhurst.shell-extension.zip" ../build \

override_dh_auto_install:
	mkdir -p AlphabeticalAppGrid@stuarthayhurst; \
	cd AlphabeticalAppGrid@stuarthayhurst; \
	unzip ../build/AlphabeticalAppGrid@stuarthayhurst.shell-extension.zip
