## gnome-shell-extension-alphabetical-grid 36.0

=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (36.0-0ubuntu1) noble; urgency=medium

  * New upstream release 36.0

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 07 Dec 2023 13:42:01 -0800
