## gnome-shell-extension-alphabetical-grid 40.0

=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (40.0-0ubuntu2) noble; urgency=medium

  * d/postinst: compile gschemas upon configuration (LP: #2062445)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 18 Apr 2024 19:11:16 -0700

gnome-shell-extension-alphabetical-grid (40.0-0ubuntu1) noble; urgency=medium

  * New upstream bugfix release 40.0
    - Fixed folder previews and contents getting stuck
    - Fixed compatibility issues with "Favourites in AppGrid" extension

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 03 Apr 2024 08:10:58 -0700

gnome-shell-extension-alphabetical-grid (39.0-0ubuntu1) noble; urgency=medium

  * New upstream release 39.0

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 25 Feb 2024 09:43:05 -0800

gnome-shell-extension-alphabetical-grid (38.0-0ubuntu1) noble; urgency=medium

  * New upstream release 38.0

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 25 Jan 2024 14:10:45 -0800
