## gnome-shell-extension-alphabetical-grid 41.0

=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (41.0-0ubuntu1) oracular; urgency=medium

  * New upstream release 41.0
  * d/control: bump max gnome-shell version

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 06 Aug 2024 15:48:14 -0700
