## gnome-shell-extension-alphabetical-grid 42.0

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,10 @@
 COMPRESSLEVEL ?= -o7
 
 BUILD_DIR ?= build
-UI_FILES = $(wildcard ./extension/ui/gtk3/*.ui)
 PNG_FILES = $(wildcard ./docs/*.png)
 BUNDLE_PATH = "$(BUILD_DIR)/$(UUID).shell-extension.zip"
 
-.PHONY: build package check release translations gtk4 compress install uninstall clean $(UI_FILES) $(PNG_FILES)
+.PHONY: build package check release translations compress install uninstall clean $(PNG_FILES)
 
 build: clean
 	@mkdir -p $(BUILD_DIR)
@@ -20,9 +19,6 @@
 	--podir=po \
 	--extra-source=../LICENSE.txt \
 	--extra-source=../docs/CHANGELOG.md \
-	--extra-source=../docs/icon.svg \
-	--extra-source=credits.json \
-	--extra-source=ui/gtk4/ \
 	--extra-source=lib/ \
 	-o ../$(BUILD_DIR)/
 check:
@@ -38,21 +34,11 @@
 	  sed -i "s|  \"version\":.*|  \"version\": $(VERSION),|g" extension/metadata.json; \
 	fi
 	#Call other targets required to make a release
-	$(MAKE) gtk4
 	$(MAKE) translations compress
 	$(MAKE) build
 	$(MAKE) check
 translations:
 	@BUILD_DIR=$(BUILD_DIR) ./scripts/update-po.sh -a
-gtk4:
-	@$(MAKE) $(UI_FILES)
-$(UI_FILES):
-	@fileNameGtk4=$@; \
-	fileNameGtk4="$${fileNameGtk4//gtk3/gtk4}"; \
-	echo "Cleaning $@"; \
-	gtk-builder-tool simplify --replace "$@"; \
-	echo "Converting $@ -> $$fileNameGtk4"; \
-	gtk4-builder-tool simplify --3to4 "$@" > "$$fileNameGtk4"
 compress:
 	$(MAKE) $(PNG_FILES)
 $(PNG_FILES):
