=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (42.0-0ubuntu1) plucky; urgency=medium

  * New upstream release 42.0
  * d/conrol: bump max gnome-shell version

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 08 Feb 2025 11:19:55 -0800
