=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/alphabetical-grid-extension-$1\.tar\.gz/ \
  https://github.com/stuarthayhurst/alphabetical-grid-extension/tags .*/v?(\d\S*)\.tar\.gz
