## gnome-shell-extension-alphabetical-grid 43.0

=== Makefile ===
--- 
+++ 
@@ -16,19 +16,18 @@
 	@echo "Packing files..."
 	@cd "extension"; \
 	gnome-extensions pack --force \
-	--podir=po \
-	--extra-source=../LICENSE.txt \
-	--extra-source=../docs/CHANGELOG.md \
-	--extra-source=lib/ \
-	-o ../$(BUILD_DIR)/
+	  --podir=po \
+	  --extra-source=../LICENCE.txt \
+	  --extra-source=../docs/CHANGELOG.md \
+	  --extra-source=lib/ \
+	  -o ../$(BUILD_DIR)/
 check:
 	@if [[ ! -f $(BUNDLE_PATH) ]]; then \
-	  echo -e "\nWARNING! Extension zip couldn't be found"; exit 1; \
+	  echo "WARNING: Extension zip couldn't be found"; exit 1; \
 	elif [[ "$$(stat -c %s $(BUNDLE_PATH))" -gt 4096000 ]]; then \
-	  echo -e "\nWARNING! The extension is too big to be uploaded to the extensions website, keep it smaller than 4096 KB"; exit 1; \
-	elif grep '"debug": true' extension/metadata.json > /dev/null; then \
-	  echo -e "\nWARNING! Debug mode is enabled, a release shouldn't be published"; exit 1; \
+	  echo "WARNING: Extension zip must stay below 4096 KB"; exit 1; \
 	fi
+	@./scripts/check-characters.sh
 release:
 	@if [[ "$(VERSION)" != "" ]]; then \
 	  sed -i "s|  \"version\":.*|  \"version\": $(VERSION),|g" extension/metadata.json; \
