=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (43.0-0ubuntu1) questing; urgency=medium

  * New upstream release
  * debian/patches: removed, all patches now upstream

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 08 Aug 2025 15:29:49 -0700

gnome-shell-extension-alphabetical-grid (42.0-0ubuntu2) questing; urgency=medium

  * Temporarily bump version until upstream releases

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 16 Jul 2025 06:40:09 -0700
