=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  gnome-shell (>= 45~),
- gnome-shell (<< 49~)
+ gnome-shell (<< 50~)
 Description: Alphabetical App Grid GNOME Extension
  Restores the alphabetical ordering of the app grid in the
  GNOME Applications overview.
