=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 	dh $@
 
 override_dh_auto_build:
-	glib-compile-schemas --strict extension/schemas; \
 	cd "extension"; \
 	gnome-extensions pack --force --podir=po --extra-source=../LICENSE.txt --extra-source=../docs/CHANGELOG.md --extra-source=lib; \
 	mkdir ../build; \
