## gnome-shell-extension-alphabetical-grid 44.0

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,6 @@
 	gnome-extensions pack --force \
 	  --podir=po \
 	  --extra-source=../LICENCE.txt \
-	  --extra-source=../docs/CHANGELOG.md \
 	  --extra-source=lib/ \
 	  -o ../$(BUILD_DIR)/
 check:
