=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (44.0-0ubuntu4) resolute; urgency=medium

  * Keep from removing app grid folders

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 03 Mar 2026 09:47:30 -0800

gnome-shell-extension-alphabetical-grid (44.0-0ubuntu3) resolute; urgency=medium

  * d/rules: Fix metadata.json path in override_dh_gencontrol
  * d/control: Architecture any -> all, drop ${shlibs:Depends}

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 01 Mar 2026 18:00:00 -0800

gnome-shell-extension-alphabetical-grid (44.0-0ubuntu2) resolute; urgency=medium

  * Actually generate Min/MaximumVersion variables

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 01 Mar 2026 17:28:18 -0800

gnome-shell-extension-alphabetical-grid (44.0-0ubuntu1) resolute; urgency=medium

  * New upstream release 44.0
  * d/control: Use new min/max dependency versioning
  * Remove upstreamed patches 

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 01 Mar 2026 11:33:09 -0800

gnome-shell-extension-alphabetical-grid (43.0-0ubuntu3) resolute; urgency=medium

  * Added patch for GNOME 50 (thanks vanvugt!)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 04 Feb 2026 16:42:38 +0000

gnome-shell-extension-alphabetical-grid (43.0-0ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 23:11:50 +0100
