=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,8 @@
 	mkdir -p AlphabeticalAppGrid@stuarthayhurst; \
 	cd AlphabeticalAppGrid@stuarthayhurst; \
 	unzip ../build/AlphabeticalAppGrid@stuarthayhurst.shell-extension.zip
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('extension/metadata.json', 'rt'))['shell-version']))") \
+		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('extension/metadata.json', 'rt'))['shell-version']))")
